summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoryhfudev2015-06-11 09:44:42 -0400
committeryhfudev2015-06-11 09:44:42 -0400
commit042a036e4ca2f416ebdc1db75568d4a5e591f59e (patch)
treed4cf35565e97ad8a6f03969bd01c23bd3c81a7b8
downloadaur-042a036e4ca2f416ebdc1db75568d4a5e591f59e.tar.gz
Initial import
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD60
2 files changed, 85 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e2893171e9a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = u8gfonttest-git
+ pkgdesc = font test for u8glib
+ pkgver = b4e88de
+ pkgrel = 1
+ url = https://github.com/yhfudev/u8glib-fontutf8.git
+ arch = i686
+ arch = x86_64
+ arch = armv5tel
+ arch = armv7l
+ license = GPL
+ makedepends = git
+ makedepends = gcc
+ makedepends = autoconf
+ makedepends = automake
+ depends = u8glib-git
+ depends = sdl
+ optdepends = pcf2bdf
+ optdepends = wiringpi-git
+ provides = u8gfonttest-git
+ conflicts = u8gfonttest
+ source = u8gfonttest-git::git+https://github.com/yhfudev/u8glib-fontutf8.git
+ md5sums = SKIP
+
+pkgname = u8gfonttest-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..51429ae969e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,60 @@
+# Maintainer: Yunhui Fu <yhfudev@gmail.com>
+
+pkgname=u8gfonttest-git
+pkgver=b4e88de
+pkgrel=1
+pkgdesc="font test for u8glib"
+arch=( 'i686' 'x86_64' 'armv5tel' 'armv7l' )
+url="https://github.com/yhfudev/u8glib-fontutf8.git"
+license=('GPL')
+depends=('u8glib-git' sdl)
+optdepends=(pcf2bdf wiringpi-git)
+
+provides=("${pkgname}")
+conflicts=('u8gfonttest')
+
+makedepends=("git" "gcc" autoconf automake)
+
+source=(
+ "${pkgname}::git+https://github.com/yhfudev/u8glib-fontutf8.git"
+ )
+md5sums=(
+ SKIP
+ )
+
+pkgver_git() {
+ cd "${srcdir}/${pkgname}"
+ local ver="$(git show | grep commit | awk '{print $2}' )"
+ #printf "r%s" "${ver//[[:alpha:]]}"
+ echo ${ver:0:7}
+}
+
+pkgver_svn() {
+ cd "${srcdir}/${pkgname}"
+ local ver="$(svn info | grep Revision | awk '{print $2}' )"
+ #printf "r%s" "${ver//[[:alpha:]]}"
+ echo ${ver:0:7}
+}
+
+pkgver() {
+ pkgver_git
+}
+
+prepare() {
+ cd "${srcdir}/${pkgname}"
+}
+
+build() {
+ cd "${srcdir}/${pkgname}"
+
+ msg "Starting make..."
+ ./autogen.sh
+ ./configure --prefix=/usr
+ make clean all || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+
+ make DESTDIR="$pkgdir" install
+}